﻿using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using CascadingDropDownInGrid2.Models;

namespace CascadingDropDownInGrid2.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/
        public NorthwindEntities db = new NorthwindEntities();

        public ActionResult Index()
        {
            var p = (from w in db.Products
                     join v in db.Categories
                     on w.CategoryID equals v.CategoryID
                     select new { w, v })
                    ;
            List<ProductGridModel> list = new List<ProductGridModel>();
            foreach (var i in p)
            {
                ProductGridModel k = new ProductGridModel()
                {
                    ProductId = i.w.ProductID,
                    ProductName = i.w.ProductName,
                    CategoryId = i.v.CategoryID,
                    CategoryName = i.v.CategoryName
                };
                list.Add(k);
            }
            return View(list.AsQueryable());
        }

        public JsonResult GetData()
        {
            var p = (from w in db.Products
                     join v in db.Categories
                     on w.CategoryID equals v.CategoryID
                     select new { v.CategoryName }).Distinct();
            JsonResult result = new JsonResult();
            result.Data = p;
            result.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
            return result;
        }
        public JsonResult GetData2()
        {
            var p = (from w in db.Products
                     join v in db.Categories
                     on w.CategoryID equals v.CategoryID
                     select new { v.CategoryName, w.ProductName }).Distinct();
            JsonResult result = new JsonResult();
            result.Data = p;
            result.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
            return result;
        }

    }
}
